VariantGroups

Variant groups are used to contain data for a group of variants on a product. Variant group entities contain attribute data, classifications in categories and variants. The data model for variant groups are described by product structures.

Get ids of all variant groups in the system

get

By default, ids for archived variant groups are not returned

Authorizations
AuthorizationstringRequired
Query parameters
includeArchivedbooleanOptional

Include archived variant groups

Default: false
Responses
chevron-right
200

OK

application/json
integer · int32[]Optional
get
/v1/variantgroups/ids
200

OK

Get basic model for a variant group

get
Authorizations
AuthorizationstringRequired
Path parameters
idinteger · int32Required

Id of variant group to return

Responses
chevron-right
200

OK

application/json

Represents the root information always present on a variant group

Idinteger · int32Optional

Unique id of the variant group

Createdstring · date-timeOptional

Timestamp of the variant group creation

CreatedBystring · nullableOptional

Username of the user who created the variant group

LastModifiedstring · date-timeOptional

Timestamp of the last variant group update

LastModifiedBystring · nullableOptional

Username of the user who made the last change to the variant group

IsArchivedbooleanOptional

Indicates whether the variant group is archived

ArchiveReasonstring · uuid · nullableOptional

The uid of the archive reason selected when the variant group was archived

ProductIdinteger · int32Optional

The id of the product to which the variant group is associated

SortOrderinteger · int32Optional

The sortorder of the variant group in relation to its associated product

WorkflowStateUidstring · uuid · nullableOptional

The uid of the workflow state of the variant group

get
/v1/variantgroups/{id}
200

OK

Delete a variant group

delete
Authorizations
AuthorizationstringRequired
Path parameters
idinteger · int32Required

Id of variant group to delete

Responses
chevron-right
200

OK

No content

delete
/v1/variantgroups/{id}
200

OK

No content

Update a variant group

patch
Authorizations
AuthorizationstringRequired
Path parameters
idinteger · int32Required

Id of variant group

Body

Update model containing the updates to make on a variant group. Note that properties with null values will be ignored and will not cause an update. This means you should only set properties that shall be updated on the variant group

IsArchivedboolean · nullableOptional

Indicate whether the variant group shall be archived or un-archived

ArchiveReasonstring · uuid · nullableOptional

Reference to the archive reason when archiving variant group (if IsArchived is true)

WorkflowStateUidstring · uuid · nullableOptional

Workflow state to set on the variant group

Responses
chevron-right
200

OK

No content

patch
/v1/variantgroups/{id}
200

OK

No content

Get basic model for a range of variant groups

post
Authorizations
AuthorizationstringRequired
Bodyinteger · int32[]
integer · int32[]Optional
Responses
chevron-right
200

OK

application/json

Represents the root information always present on a variant group

Idinteger · int32Optional

Unique id of the variant group

Createdstring · date-timeOptional

Timestamp of the variant group creation

CreatedBystring · nullableOptional

Username of the user who created the variant group

LastModifiedstring · date-timeOptional

Timestamp of the last variant group update

LastModifiedBystring · nullableOptional

Username of the user who made the last change to the variant group

IsArchivedbooleanOptional

Indicates whether the variant group is archived

ArchiveReasonstring · uuid · nullableOptional

The uid of the archive reason selected when the variant group was archived

ProductIdinteger · int32Optional

The id of the product to which the variant group is associated

SortOrderinteger · int32Optional

The sortorder of the variant group in relation to its associated product

WorkflowStateUidstring · uuid · nullableOptional

The uid of the workflow state of the variant group

post
/v1/variantgroups/batch
200

OK

Get basic models for variant groups

get

No more than 5000 variant groups can be requested at a time. If no limit is provided, the default limit of 1000 will be used. By default, archived variant groups are not returned

Authorizations
AuthorizationstringRequired
Query parameters
includeArchivedbooleanOptional

Include archived variant groups

Default: false
limitinteger · int32Optional

Number of variant groups to return

Default: 1000
afterIdinteger · int32Optional

Only return variant groups with id larger than this value

Responses
chevron-right
200

OK

application/json

Result set of variant groups from a variant group query

Totalinteger · int32Optional

The total number of items

Remaininginteger · int32Optional

The remaining items that lie after the last id of the item in this result set

LastIdinteger · int32Optional

The id of the last item in this result set

get
/v1/variantgroups
200

OK

Create new variant groups

post

A maximum of 5000 variant groups can be created in one request

Authorizations
AuthorizationstringRequired
Bodyobject[]

Model used to create a new variant group

ProductIdinteger · int32Optional

Product to associate variant group to

WorkflowStateUidstring · uuid · nullableOptional

Workflow state to set on the variant group

Responses
chevron-right
200

OK

application/json
integer · int32[]Optional
post
/v1/variantgroups
200

OK

Delete multiple variant groups

delete
Authorizations
AuthorizationstringRequired
Bodyinteger · int32[]
integer · int32[]Optional
Responses
chevron-right
200

OK

No content

delete
/v1/variantgroups
200

OK

No content

Update multiple variant groups

patch
Authorizations
AuthorizationstringRequired
Bodyobject[]

Update model for a variant group

VariantGroupIdinteger · int32Optional

Id of variant group to update

Responses
chevron-right
200

OK

No content

patch
/v1/variantgroups
200

OK

No content

Get all identifiers and their internal ids for a specific identifier type

get
Authorizations
AuthorizationstringRequired
Path parameters
identifierAliasstringRequired

Alias of identifier type

Responses
chevron-right
200

OK

application/json
Other propertiesinteger · int32Optional
get
/v1/variantgroups/identifiers/{identifierAlias}
200

OK

Get the internal id of a variant group based on its identifier

get
Authorizations
AuthorizationstringRequired
Path parameters
identifierAliasstringRequired

Alias of identifier type

identifierstringRequired

Identifier value

Responses
chevron-right
200

OK

application/json
integer · int32Optional
get
/v1/variantgroups/identifiers/{identifierAlias}/{identifier}
200

OK

Get internal ids of multiple variant groups from their identifier

post
Authorizations
AuthorizationstringRequired
Body

Provide an identifier alias along with an array of identifiers to get the internal entity ids matching those identifiers

IdentifierAliasstring · nullableOptional

The alias of the identifier

Identifiersstring[] · nullableOptional

Array of identifiers to return internal ids for

Responses
chevron-right
200

OK

application/json
Other propertiesinteger · int32Optional
post
/v1/variantgroups/batch/identifiers
200

OK

Get attribute values for a variant group

get
Authorizations
AuthorizationstringRequired
Path parameters
idinteger · int32Required

Id of variant group

Query parameters
globalListValueReferencesOnlybooleanOptional

Indicate if only uids of referenced to global list values shall be returned instead of the materialized values

Default: false
Responses
chevron-right
200

OK

application/json

Attribute values for a variant group

VariantGroupIdinteger · int32Optional

Id of variant group

get
/v1/variantgroups/{id}/attributevalues

Get attribute values for multiple variant groups

post

No more than 5000 variant groups can be requested at a time.

Authorizations
AuthorizationstringRequired
Body

Define which categories to fetch data for and what data to fetch

VariantGroupIdsinteger · int32[] · nullableOptional

Ids of variant groups to return

IncludeValuesinteger · enumOptional

Defines which attribute values to return

  • 1 = All: Return all attribute values
  • 2 = Scopes: Return values for scopes specified in request
  • 3 = Aliases: Return values for attribute aliases specified in request
  • 4 = ScopesAndAliases: Return values for attributes in specified scopes, plus values in the attributes specified by alias
  • 5 = Uids: Return values for attribute uids specified in request
Possible values:
Scopesstring[] · nullableOptional

If IncludeValues is Scopes, define which scopes to return values for here

Aliasesstring[] · nullableOptional

If IncludeValues is Aliases, define aliases of the attributes to include values for

Uidsstring · uuid[] · nullableOptional

If IncludeValues is Uids, define uids of the attributes to include values for

LimitToCultureCodesstring[] · nullableOptional

Only return values for specific languages

LimitToSegmentsstring[] · nullableOptional

Only return values for specific dimension segments

GlobalListValueReferencesOnlybooleanOptional

Indicate if only uids of referenced to global list values shall be returned instead of the materialized values

FromTimestampstring · date-time · nullableOptional

Get attribute values back in time

Responses
chevron-right
200

OK

application/json

Attribute values for a variant group

VariantGroupIdinteger · int32Optional

Id of variant group

post
/v1/variantgroups/batch/attributevalues
200

OK

Get category classifications for a variant group

get
Authorizations
AuthorizationstringRequired
Path parameters
idinteger · int32Required

Id of variant group

Responses
chevron-right
200

OK

application/json

Holds information on variant group placement in categories

CategoryIdinteger · int32Optional

Id of category the variant group is placed in

OwnerReferencestring · nullableOptional

A reference to where this classification comes from. If the classification is made in the PIM interface, this will be null. When creating or updating classifications of variant groups through API this can be set to any value. Thus, classifications made from the API can be distinguished from those made directly in the UI

SortOrderinteger · int32Optional

Sort order of the variant group in this category

get
/v1/variantgroups/{id}/classifications
200

OK

Add category classifications to a variant group

post
Authorizations
AuthorizationstringRequired
Path parameters
idinteger · int32Required

Id of variant group

Bodyobject[]

Holds information on variant group placement in categories

CategoryIdinteger · int32Optional

Id of category the variant group is placed in

OwnerReferencestring · nullableOptional

A reference to where this classification comes from. If the classification is made in the PIM interface, this will be null. When creating or updating classifications of variant groups through API this can be set to any value. Thus, classifications made from the API can be distinguished from those made directly in the UI

SortOrderinteger · int32Optional

Sort order of the variant group in this category

Responses
chevron-right
200

OK

No content

post
/v1/variantgroups/{id}/classifications
200

OK

No content

Remove category classifications from a variant group

delete
Authorizations
AuthorizationstringRequired
Path parameters
idinteger · int32Required

Id of variant group

Bodyinteger · int32[]
integer · int32[]Optional
Responses
chevron-right
200

OK

No content

delete
/v1/variantgroups/{id}/classifications
200

OK

No content

Get category classifications for a batch of variant groups

post
Authorizations
AuthorizationstringRequired
Bodyinteger · int32[]
integer · int32[]Optional
Responses
chevron-right
200

OK

application/json
post
/v1/variantgroups/batch/classifications
200

OK

Add category classifications to a batch of variant groups

post
Authorizations
AuthorizationstringRequired
Body
Responses
chevron-right
200

OK

No content

post
/v1/variantgroups/classifications
200

OK

No content

Remove category classifications from a batch of variant groups

delete
Authorizations
AuthorizationstringRequired
Body
Other propertiesinteger · int32[]Optional
Responses
chevron-right
200

OK

No content

delete
/v1/variantgroups/classifications
200

OK

No content

Get ids of variants of a variant group

get
Authorizations
AuthorizationstringRequired
Path parameters
idinteger · int32Required

Id of variant group

Query parameters
includeArchivedbooleanOptional

Return ids of archived variants as well

Default: false
Responses
chevron-right
200

OK

application/json
integer · int32[]Optional
get
/v1/variantgroups/{id}/variants
200

OK

Get ids of variants for a batch of variant groups

post
Authorizations
AuthorizationstringRequired
Query parameters
includeArchivedbooleanOptional

Return ids of archived variants as well

Default: false
Bodyinteger · int32[]
integer · int32[]Optional
Responses
chevron-right
200

OK

application/json
Other propertiesinteger · int32[]Optional
post
/v1/variantgroups/batch/variants
200

OK

Get references to a variant group

get
Authorizations
AuthorizationstringRequired
Path parameters
idinteger · int32Required

Id of variant group

Responses
chevron-right
200

OK

application/json

Model holding references from other entities to a variant group

VariantGroupIdinteger · int32Optional

Id of the referenced variant group

ReferencingGlobalListValuesstring · uuid[] · nullableOptional

List of global list values referencing this variant group

get
/v1/variantgroups/{id}/references
200

OK

Get references to a batch of variant groups

post

No more than 5000 values can be requested at a time.

Authorizations
AuthorizationstringRequired
Bodyinteger · int32[]
integer · int32[]Optional
Responses
chevron-right
200

OK

application/json

Model holding references from other entities to a variant group

VariantGroupIdinteger · int32Optional

Id of the referenced variant group

ReferencingGlobalListValuesstring · uuid[] · nullableOptional

List of global list values referencing this variant group

post
/v1/variantgroups/batch/references
200

OK

Get ids of variant groups matching certain criteria

post
Authorizations
AuthorizationstringRequired
Body

Search model used for searching products or variants in PIM

IncludeArchivedbooleanOptional

Include archived items in result

Responses
chevron-right
200

OK

application/json
integer · int32[]Optional
post
/v1/variantgroups/search
200

OK

Get paged result of variant groups matching certain criteria. Result mapped with headers and item results

post
Authorizations
AuthorizationstringRequired
Body

Extended search model used for searching products or variants in PIM with support for paging and sorting

Pageinteger · int32Optional
PageSizeinteger · int32 · nullableOptional
FieldUidsstring[] · nullableOptional
SortByFieldUidstring · nullableOptional
SortDescendingboolean · nullableOptional
IncludeArchivedbooleanOptional

Include archived items in result

Responses
chevron-right
200

OK

application/json
TotalHitsinteger · int32Optional
Pageinteger · int32Optional
PageSizeinteger · int32Optional
TotalPagesinteger · int32Optional
post
/v1/variantgroups/search/paged
200

OK

Get all available query fields in the PIM installation

get
Authorizations
AuthorizationstringRequired
Responses
chevron-right
200

OK

application/json

Representation of a queryable field in PIM

Uidstring · nullableOptional

Unique id of field in PIM

Namestring · nullableOptional

The display name of the field

SupportsSortingbooleanOptional

If true field can be used for sorting

get
/v1/variantgroups/queryablefields
200

OK

Get Enrichment Insights for a variant group

get
Authorizations
AuthorizationstringRequired
Path parameters
idinteger · int32Required

Id of variant group to get insights for

Responses
chevron-right
200

OK

application/json

Model representing an entity's enrichment insight

EnrichmentInsightSetupUidstring · uuidOptional

Uid of enrichment insight

EntityIdinteger · int32Optional

Id of entity

Completenessinteger · int32 · nullableOptional

Completeness in percentage (0 - 100). Is null, if ignored is true

IgnoredbooleanOptional

Indicates whether the completeness is ignored for this entity and this enrichment insight

get
/v1/variantgroups/{id}/enrichmentinsights
200

OK

Get Enrichment Insights for a batch of variant groups

post
Authorizations
AuthorizationstringRequired
Bodyinteger · int32[]
integer · int32[]Optional
Responses
chevron-right
200

OK

application/json

Model representing an entity's enrichment insight

EnrichmentInsightSetupUidstring · uuidOptional

Uid of enrichment insight

EntityIdinteger · int32Optional

Id of entity

Completenessinteger · int32 · nullableOptional

Completeness in percentage (0 - 100). Is null, if ignored is true

IgnoredbooleanOptional

Indicates whether the completeness is ignored for this entity and this enrichment insight

post
/v1/variantgroups/batch/enrichmentinsights
200

OK

Get insights for a batch of variant groups and a specific Enrichment Insight

post
Authorizations
AuthorizationstringRequired
Path parameters
enrichmentInsightUidstring · uuidRequired

Uid of enrichment insight to get for batch of variant groups

Bodyinteger · int32[]
integer · int32[]Optional
Responses
chevron-right
200

OK

application/json

Model representing an entity's enrichment insight

EnrichmentInsightSetupUidstring · uuidOptional

Uid of enrichment insight

EntityIdinteger · int32Optional

Id of entity

Completenessinteger · int32 · nullableOptional

Completeness in percentage (0 - 100). Is null, if ignored is true

IgnoredbooleanOptional

Indicates whether the completeness is ignored for this entity and this enrichment insight

post
/v1/variantgroups/batch/enrichmentinsights/{enrichmentInsightUid}
200

OK

Enable or disable an enrichment insight for a variant group

patch
Authorizations
AuthorizationstringRequired
Path parameters
idinteger · int32Required

Id of variant group

enrichmentInsightSetupUidstring · uuidRequired

Uid of enrichment insight to toggle ignore for

ignorebooleanRequired

Indicate whether to ignore the insight for the given enrichment insight and variant groups

Responses
chevron-right
200

OK

No content

patch
/v1/variantgroups/{id}/enrichmentinsights/{enrichmentInsightSetupUid}/{ignore}
200

OK

No content

Enable or disable an enrichment insight for a batch of variant groups

patch
Authorizations
AuthorizationstringRequired
Path parameters
enrichmentInsightSetupUidstring · uuidRequired

Uid of enrichment insight to toggle ignore for

ignorebooleanRequired

Indicate whether to ignore the insight for the given enrichment insight and variant groups

Bodyinteger · int32[]
integer · int32[]Optional
Responses
chevron-right
200

OK

No content

patch
/v1/variantgroups/batch/enrichmentinsights/{enrichmentInsightSetupUid}/{ignore}
200

OK

No content

Last updated